package com.pqs9000.pojo.data;

import com.njcn.utils.JnaCallDll;
import com.sun.jna.Library;
import com.sun.jna.Native;

public class JnaCallQvvrFun extends JnaCallDll {
    public static String strpath;

    public JnaCallQvvrFun(String name) {
        super(name);
    }

    @Override
    public void setPath() {
        JnaCallQvvrFun.strpath = super.getStrpath();
    }

    public interface Qvvrlibrary extends Library {
        Qvvrlibrary INSTANTCE = (Qvvrlibrary) Native.loadLibrary(JnaCallQvvrFun.strpath, Qvvrlibrary.class);// 加载Lib库
        void qvvr_fun_cause(QvvrStruct data);// 定义方法--->与C方法相对应
    }
}
